Bug 592849 - Execshield stack protection is disabled for file usr/lib*/libstdc++-3-libc6.2-2-2.10.0.so on s390 s390x
Summary: Execshield stack protection is disabled for file usr/lib*/libstdc++-3-libc6.2...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: compat-gcc-295   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Jakub Jelinek
QA Contact: Michal Nowak
URL:
Whiteboard:
Keywords:
Depends On: 592519
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 07:39 UTC by Jakub Jelinek
Modified: 2013-03-08 02:09 UTC (History)
4 users (show)

Fixed In Version: compat-gcc-295-2.95.3-86.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 592519
Environment:
Last Closed: 2010-07-02 18:55:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jakub Jelinek 2010-05-17 07:39:40 UTC
+++ This bug was initially created as a clone of Bug #592519 +++

Description of problem:
Execshield stack protection is disabled for file usr/lib*/libstdc++-3-libc6.2-2-2.10.0.so on s390 s390x
This needs fixing in the code , or alternatively, -Wl,-z,nodlopen needs to be added to the LD_FLAGS 

Version-Release number of selected component (if applicable):
compat-libstdc++-295-2.95.3-85.el6

Affected archs
s390, s390x (only available pkg archs)

How reproducible:
always

Steps to Reproduce:
1. execstack /usr/lib*/libstdc++-3-libc6.2-2-2.10.0.so
  
./compat-gcc-295/2.95.3/85.el6/s390x/usr/lib64/libstdc++-3-libc6.2-2-2.10.0.so
0x000000000000000e (SONAME)             Library soname: [libstdc++-libc6.2-2.so.3]
  GNU_STACK      0x000000 0x0000000000000000 0x0000000000000000 0x000000 0x000000 RWE 0x8
./compat-gcc-295/2.95.3/85.el6/s390/usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
0x0000000e (SONAME)                     Library soname: [libstdc++-libc6.2-2.so.3]
  GNU_STACK      0x000000 0x00000000 0x00000000 0x00000 0x00000 RWE 0x4

Comment 1 RHEL Product and Program Management 2010-05-17 07:55:09 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 releng-rhel@redhat.com 2010-07-02 18:55:43 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.